Facts about the box
GET
/system
const url = 'http://127.0.0.1:7700/api/system';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url http://127.0.0.1:7700/api/system \ --header 'Authorization: Bearer <token>'The product, edition, version and build, hostname, time zone, network, box id and name, owner, start time and uptime. For first-run setup and Settings.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”The facts.
Media typeapplication/json
object
product
string
edition
string
editionName
string
version
string
build
The commit that was installed
string
hostname
string
timezone
string
network
object
online
boolean
interfaces
Array<object>
object
name
string
address
string
mac
string
boxId
string
boxName
string
owner
string | null
startedAt
string format: date-time
uptimeSec
integer
Example
{ "product": "GurtOS", "edition": "server", "editionName": "GurtOS Server", "hostname": "gurt-3f9a1c"}GurtOS is open source under the Apache License 2.0.Source code on GitHub.